4.120. nfs4-acl-tools

An updated nfs4-acl-tools package that fixes a bug is now available for Red Hat Enterprise Linux 5.
The nfs4-acl-tools package provides utilities for managing NFSv4 Access Control Lists (ACLs) on files and directories mounted on ACL-enabled NFSv4 file systems.

Bug Fix

BZ#693422
Due to a regression introduced in Red Hat Enterprise Linux 5.5, if the format of the input ACL file was incorrect, the "nfs4_setfacl" command failed with the following unexpected message:
*** glibc detected *** nfs4_setfacl: double free or corruption (out)
This update applies a patch that corrects the memory handling process and the nfs4_setfacl command now fails with a useful error message if the input file syntax is invalid.
All users of nfs4-acl-tools are advised to upgrade to this updated package, which fixes this bug.